On Sat, Nov 08, 2003 at 07:40:10PM -0600, F. Even wrote:
> On 11/8/03 2:01 PM, "[EMAIL PROTECTED]"
> <[EMAIL PROTECTED]> wrote:
> 
> > Date: Sat, 8 Nov 2003 00:00:09 -0800
> > From: Kris Kennaway <[EMAIL PROTECTED]>
> > Subject: Re: revived ports collection, errors galore
> > To: "F. Even" <[EMAIL PROTECTED]>
> > Cc: [EMAIL PROTECTED]
> > Message-ID: <[EMAIL PROTECTED]>
> > Content-Type: text/plain; charset="us-ascii"
> > 
> > On Sat, Nov 08, 2003 at 12:36:04AM -0600, F. Even wrote:
> >> I am running a FreeBSD 4.0 box.
> > 
> > The ports collection does not support 4.0.  See http://www.freebsd.org/ports/
> > 
> > Kris
> 
> I don't see anything at the ports site to indicate that the ports collection
> shouldn't work on 4.0R.  Just vague pointers about how it "may not."

You mean you missed the part that says:

   The Ports Collection supports the latest release on the
   FreeBSD-CURRENT and FreeBSD-STABLE branches. Older releases are not
   supported and may or may not work correctly with an up-to-date ports
   collection. Over time, changes to the ports collection may rely on
   features that are not present in older releases.

That means the ports collection isn't supported for FreeBSD 4.0, and if
it happens to work you just got lucky, and if it doesn't work you
shouldn't expect anybody to fix it.


> 
> And that still doesn't help me figure out why the packages are not
> installing?  I have not had problems installing packages up until I've tried
> to update the ports collection.
> 
> {error}
> [EMAIL PROTECTED]:/apps/pkgs] pkg_add openssh-portable-3.7.1p2.tgz
> pkg_add: bad command '@conflicts openssh-3.*'
> 
> [EMAIL PROTECTED]:/apps/pkgs] pkg_add openssh-3.6.1_5.tgz
> pkg_add: bad command '@conflicts openssh-portable-*'
> {/error}

Because the packages in question rely on a feature (the "@conflicts"
directive in this case) that the pkg_add(1) command shipped with
FreeBSD 4.0 does not know how to handle.


To handle packages that have been built from an up-to-date ports
collection, you usually need up-to-date versions of the pkg_* tools.

(It seems as if you can get such via the sysutils/pkg_install port, but
I haven't tested that myself, so I don't know how well it works.)



-- 
<Insert your favourite quote here.>
Erik Trulsson
[EMAIL PROTECTED]
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to